package com.community.huiju.dao;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.community.huiju.model.TransactionReply;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * <p>
 * 物业web端二手交易评论表 Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-04-09
 */
public interface TransactionReplyMapper extends BaseMapper<TransactionReply> {

    /**
     * 二手帖子列表
     * @param page
     * @param id
     * @return
     */
    List<TransactionReply> transactionReplyList(Page page, @Param("id") Integer id, @Param("userID") Integer userID, @Param("status") Integer status,@Param("taUserName") String taUserName, @Param("createDate") Date createDate, @Param("replyTaUserName") String replyTaUserName);
}
